Show / Hide Table of Contents

# Struct ImPlotStyle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotStyle

### Fields

| Improve this Doc View Source

#### AnnotationPadding

##### Declaration

    public Vector2 AnnotationPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### AntiAliasedLines

##### Declaration

    public byte AntiAliasedLines

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Colors_0

##### Declaration

    public Vector4 Colors_0

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_1

##### Declaration

    public Vector4 Colors_1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_10

##### Declaration

    public Vector4 Colors_10

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_11

##### Declaration

    public Vector4 Colors_11

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_12

##### Declaration

    public Vector4 Colors_12

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_13

##### Declaration

    public Vector4 Colors_13

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_14

##### Declaration

    public Vector4 Colors_14

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_15

##### Declaration

    public Vector4 Colors_15

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_16

##### Declaration

    public Vector4 Colors_16

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_17

##### Declaration

    public Vector4 Colors_17

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_18

##### Declaration

    public Vector4 Colors_18

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_19

##### Declaration

    public Vector4 Colors_19

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_2

##### Declaration

    public Vector4 Colors_2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_20

##### Declaration

    public Vector4 Colors_20

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_21

##### Declaration

    public Vector4 Colors_21

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_22

##### Declaration

    public Vector4 Colors_22

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_23

##### Declaration

    public Vector4 Colors_23

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_3

##### Declaration

    public Vector4 Colors_3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_4

##### Declaration

    public Vector4 Colors_4

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_5

##### Declaration

    public Vector4 Colors_5

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_6

##### Declaration

    public Vector4 Colors_6

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_7

##### Declaration

    public Vector4 Colors_7

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_8

##### Declaration

    public Vector4 Colors_8

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_9

##### Declaration

    public Vector4 Colors_9

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### DigitalBitGap

##### Declaration

    public float DigitalBitGap

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DigitalBitHeight

##### Declaration

    public float DigitalBitHeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ErrorBarSize

##### Declaration

    public float ErrorBarSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ErrorBarWeight

##### Declaration

    public float ErrorBarWeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FillAlpha

##### Declaration

    public float FillAlpha

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FitPadding

##### Declaration

    public Vector2 FitPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LabelPadding

##### Declaration

    public Vector2 LabelPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendInnerPadding

##### Declaration

    public Vector2 LegendInnerPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendPadding

##### Declaration

    public Vector2 LegendPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LegendSpacing

##### Declaration

    public Vector2 LegendSpacing

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LineWeight

##### Declaration

    public float LineWeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MajorGridSize

##### Declaration

    public Vector2 MajorGridSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MajorTickLen

##### Declaration

    public Vector2 MajorTickLen

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MajorTickSize

##### Declaration

    public Vector2 MajorTickSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Marker

##### Declaration

    public int Marker

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MarkerSize

##### Declaration

    public float MarkerSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MarkerWeight

##### Declaration

    public float MarkerWeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinorAlpha

##### Declaration

    public float MinorAlpha

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MinorGridSize

##### Declaration

    public Vector2 MinorGridSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MinorTickLen

##### Declaration

    public Vector2 MinorTickLen

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MinorTickSize

##### Declaration

    public Vector2 MinorTickSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MousePosPadding

##### Declaration

    public Vector2 MousePosPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### PlotBorderSize

##### Declaration

    public float PlotBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PlotDefaultSize

##### Declaration

    public Vector2 PlotDefaultSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### PlotMinSize

##### Declaration

    public Vector2 PlotMinSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### PlotPadding

##### Declaration

    public Vector2 PlotPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### Use24HourClock

##### Declaration

    public byte Use24HourClock

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UseISO8601

##### Declaration

    public byte UseISO8601

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UseLocalTime

##### Declaration

    public byte UseLocalTime

##### Field Value

Type | Description
--- | ---
System.Byte |